> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh dataset file list



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json put /v1/datasets/{dataset_id}/files/refresh_list
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/datasets/{dataset_id}/files/refresh_list:
    put:
      tags:
        - Datasets
      summary: Refresh dataset file list
      operationId: >-
        refresh_dataset_file_list_v1_datasets__dataset_id__files_refresh_list_put
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
          name: dataset_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_refresh_dataset_file_list_v1_datasets__dataset_id__files_refresh_list_put
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0ImplicitBearer: []
        - Auth0HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    Body_refresh_dataset_file_list_v1_datasets__dataset_id__files_refresh_list_put:
      properties:
        file_id_list:
          items:
            type: string
            format: uuid
          type: array
          title: File Id List
        learn_type:
          type: integer
          title: Learn Type
        embedding:
          type: boolean
          title: Embedding
      type: object
      required:
        - file_id_list
      title: >-
        Body_refresh_dataset_file_list_v1_datasets__dataset_id__files_refresh_list_put
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````